Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # iterator_from_2d Class Template Reference [iterator_from_2d, Models] `#include <iterator_from_2d.hpp>` List of all members. ## Detailed Description ### template<typename Loc2> class boost::gil::iterator_from_2d< Loc2 > Provides 1D random-access navigation to the pixels of the image. Models: PixelIteratorConcept, PixelBasedConcept, HasDynamicXStepTypeConcept. Pixels are traversed from the top to the bottom row and from the left to the right within each row
## Public Types
typedef iterator_facade < iterator_from_2d< Loc2 > , typename Loc2::value_type, random_access_traversal_tag, typename Loc2::reference, typename Loc2::coord_t > | parent_t
typedef parent_t::reference | reference
typedef parent_t::difference_type | difference_type
typedef Loc2::x_iterator | x_iterator
typedef Loc2::point_t | point_t
## Public Member Functions
std::ptrdiff_t | width () const
std::ptrdiff_t | x_pos () const
std::ptrdiff_t | y_pos () const
reference | operator[] (difference_type d) const
bool | is_1d_traversable () const
x_iterator & | x ()
| iterator_from_2d (const Loc2 &p, std::ptrdiff_t width, std::ptrdiff_t x=0, std::ptrdiff_t y=0)
| iterator_from_2d (const iterator_from_2d &pit)
template<typename Loc>
| iterator_from_2d (const iterator_from_2d< Loc > &pit)
## Friends
class | iterator_from_2d
class | boost::iterator_core_access
## Member Function Documentation
reference operator[] | ( | difference_type | d | ) | const`[inline]`
For some reason operator[] provided by iterator_adaptor returns a custom class that is convertible to reference We require our own reference because it is registered in iterator_traits The documentation for this class was generated from the following file: iterator_from_2d.hpp